//package net.wanji.opt.service.impl;
//
//import lombok.extern.slf4j.Slf4j;
//import net.wanji.common.utils.tool.BeanListUtils;
//import net.wanji.databus.dao.mapper.BaseCrossLightsMapper;
//import net.wanji.databus.po.BaseCrossLightsPO;
//import net.wanji.opt.dto.CrossLightsDTO;
//import net.wanji.opt.dto.LaneInfoDTO;
//import net.wanji.opt.service.CrossLightsService;
//import net.wanji.opt.service.LaneInfoService;
//import org.springframework.stereotype.Service;
//
//import javax.annotation.Resource;
//import java.util.ArrayList;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
///**
// * @author hfx
// * @date 2023/1/13 17:48
// * @desc CrossLightsServiceImpl
// */
//@Service
//@Slf4j
//public class CrossLightsServiceImpl implements CrossLightsService {
//
//    @Resource
//    BaseCrossLightsMapper baseCrossLightsMapper;
//
//    @Resource
//    LaneInfoService laneInfoService;
//
//    @Override
//    public List<CrossLightsDTO> listCrossLights() {
//        List<BaseCrossLightsPO> lightsPOList = baseCrossLightsMapper.listCrossLights();
//        return BeanListUtils.populateList(lightsPOList, new ArrayList<>(), CrossLightsDTO.class);
//    }
//
//    @Override
//    public List<CrossLightsDTO> listLightsDetails() {
//
//        // 获取灯组基础信息
//        List<CrossLightsDTO> lightsDTOList = listCrossLights();
//        if(lightsDTOList.isEmpty()) {
//            return lightsDTOList;
//        }
//        // 获取灯组车道信息
//        List<LaneInfoDTO> laneInfoDTOList = laneInfoService.listLightsLaneInfo(null);
//        // 处理灯组车道信息，封装成Map：key是灯组ID，value 是车道集合
//        Map<Integer, List<LaneInfoDTO>> laneInfoMap = laneInfoDTOList.stream().collect(Collectors.groupingBy(LaneInfoDTO::getLightsId));
//        for(CrossLightsDTO lightsDTO: lightsDTOList) {
//
//            lightsDTO.setLaneInfos(laneInfoMap.get(lightsDTO.getId()));
//        }
//        return lightsDTOList;
//    }
//
//}
