package net.wanji.opt.service.induce;

import net.wanji.opt.entity.InduceFontHist;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/01/21 14:38
 */
public interface InduceFontHistService {

    /**
     * 获取诱导屏所有文字下发记录
     * @return
     */
    List<InduceFontHist> getAll(String equipCode);

    /**
     * 诱导屏文字编辑
     * @param induceFontHist
     */
    void editor(InduceFontHist induceFontHist);

    /**
     * 通过诱导屏编码获取最新编辑文字
     * @param equipCode
     * @return
     */
    InduceFontHist getLastOne(String equipCode);

    /**
     * 通过id删除诱导屏文字信息
     * @param id
     * @return
     */
    void deleteOneById(Integer id);
}
