//package net.wanji.opt.service.impl;
//
//import lombok.extern.slf4j.Slf4j;
//import net.wanji.common.utils.tool.BeanListUtils;
//import net.wanji.databus.dao.mapper.BaseCrossLaneLightsMapper;
//import net.wanji.databus.dao.mapper.LaneInfoMapper;
//import net.wanji.databus.po.CrossLaneLightsPO;
//import net.wanji.databus.po.LaneInfoPO;
//import net.wanji.opt.dto.LaneInfoDTO;
//import net.wanji.opt.query.LaneQuery;
//import net.wanji.opt.service.LaneInfoService;
//import org.springframework.stereotype.Service;
//
//import javax.annotation.Resource;
//import java.util.ArrayList;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
///**
// * @author hfx
// * @date 2023/1/13 19:13
// * @desc LaneInfoServiceImpl
// */
//@Slf4j
//@Service
//public class LaneInfoServiceImpl implements LaneInfoService {
//
//    @Resource
//    LaneInfoMapper laneInfoMapper;
//
//    @Resource
//    BaseCrossLaneLightsMapper baseCrossLaneLightsMapper;
//
//    @Override
//    public List<LaneInfoDTO> listLaneInfo(LaneQuery query) {
//
//        // 获取车道基础信息
//        List<LaneInfoPO> laneInfoPOList = laneInfoMapper.listLaneInfo();
//        return BeanListUtils.populateList(laneInfoPOList, new ArrayList<>(), LaneInfoDTO.class);
//    }
//
//
//    @Override
//    public List<LaneInfoDTO> listLightsLaneInfo(LaneQuery query) {
//
//        // 获取车道信息
//        List<LaneInfoDTO> laneInfoDTOList = listLaneInfo(query);
//        if(laneInfoDTOList.isEmpty()) {
//            return laneInfoDTOList;
//        }
//        // 获取灯组车道信息
//        List<CrossLaneLightsPO> lightLanePOList = baseCrossLaneLightsMapper.listLightLane();
//        if(lightLanePOList.isEmpty()) {
//            return laneInfoDTOList;
//        }
//        // 处理灯组车道信息，封装成Map：key是车道ID，value 是灯组ID
//        Map<String, Integer> lightLaneMap = lightLanePOList.stream().collect(Collectors.toMap(po -> po.getLaneId(), po -> po.getLightsId()));
//
//        List<LaneInfoDTO> newLaneList = new ArrayList<>();
//        String laneId;
//        for(LaneInfoDTO lane : laneInfoDTOList) {
//
//            laneId = lane.getId();
//            if(!lightLaneMap.containsKey(laneId)) {
//                continue;
//            }
//            lane.setLightsId(lightLaneMap.get(laneId));
//            newLaneList.add(lane);
//        }
//        return newLaneList;
//    }
//}
